Bug 88763 - The orca screen reader does not speak control names when navigating in the outline numbering dialog box
Summary: The orca screen reader does not speak control names when navigating in the ou...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Niklas Johansson
QA Contact:
URL:
Whiteboard: target:4.5.0
Keywords: accessibility
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2015-01-23 21:54 UTC by am_dxer
Modified: 2016-05-02 16:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description am_dxer 2015-01-23 21:54:46 UTC
When opening the outline numbering dialog box from the tools menu, orca does not speak field names as I "tab" and "shift + tab" through the controls. Orca should speak the name of each control as the user navigates between them in this manner.
Comment 1 am_dxer 2015-01-27 02:49:41 UTC
For me, orca reads the options as I move through the combo boxes, however, it seems to not always read their name when they receive focus. Is this the behavior you see as well?
Comment 2 Niklas Johansson 2015-01-27 10:41:18 UTC
Tried this on Windows with NVDA and it seems that the labels of the controls are not associated with the controls. If I remember correctly Caolán did a talk on how to fix this type of issue using Glade. Lets hope it is just a matter of me tracking down those slides and I will be able to fix it.

I'll let you know.
Comment 3 Commit Notification 2015-01-30 11:40:40 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9098a2f082f4b8e4404685d19a4e10c3c8160c7b

tdf#88763 The orca screen reader does not speak control names

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Matthew Francis 2015-04-28 02:41:42 UTC
@Niklas - I see you made a commit for this issue already. Is it now completely fixed? If so, this bug can be set to RESOLVED - FIXED

Thanks
Comment 5 Robinson Tryon (qubit) 2015-12-10 03:37:51 UTC
Migrating Whiteboard tags to Keywords: (a11y -> accessibility)
Comment 6 Alex ARNAUD 2016-05-02 14:02:07 UTC
Dear LibreOffice community, 
I've checked the result of the work of Niklas Johansson, it works very well.

Thank you so much.